Update a control account

Update a control account’s alias and/or description.

Required permissions: account:update.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
The ID of the Control Account.

Headers

X-Penny-As-Businessstring or nullOptional

Act on behalf of another business that has granted you access. Requires the business:act_as permission.

Request

This endpoint expects an object.
aliasstring or nullOptional<=64 characters

Human-readable label for the account.

descriptionstring or nullOptional<=256 characters
Description of the account's intended use.

Response

The updated control account.
account_idstring
Unique identifier for the account.
versioninteger
The current version of the account record.
version_timedatetime

ISO-8601 timestamp of the most recent account update.

program_idstring
The identifier of the program associated with this account.
business_idstring
The identifier of the business associated with this account.
business_entity_idstring
The identifier of the business entity associated with this account.
statusenum
The current operational status of the account.
Allowed values:
activeboolean
Whether the account is currently active and available for use.
currencyenum

ISO-4217 currency code for the account.

Allowed values:
capital_account_idstring
The capital account from which this control account draws funds.
aliasstring or nullOptional
An optional label for the account.
descriptionstring or nullOptional
An optional description of the account's purpose.
typeenumOptionalDefaults to control

Account types exposed to client-facing API responses.

Allowed values:
parent_account_idstring or nullOptional
The identifier of the parent account if this account is part of a hierarchy.
spend_control_idstring or nullOptional
The identifier of the spend control applied to this account.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error